Skip to main content
`Ctrl`+`K`
scipy.special.

# roots_sh_jacobi

scipy.special.roots_sh_jacobi(n, p1, q1, mu=False)

  Gauss-Jacobi (shifted) quadrature.

  Compute the sample points and weights for Gauss-Jacobi (shifted) quadrature. The sample points are the roots of the nth degree shifted Jacobi polynomial, \(G^{p,q}_n(x)\). These sample points and weights correctly integrate polynomials of degree \(2n - 1\) or less over the interval \([0, 1]\) with weight function \(w(x) = (1 - x)^{p-q} x^{q-1}\). See 22.2.2 in [AS] for details.

  Parameters:
    n int

      quadrature order

    p1 float

      (p1 - q1) must be > -1

    q1 float

      q1 must be > 0

    mu bool, optional

      If True, return the sum of the weights, optional.

  Returns:
    x ndarray

      Sample points

    w ndarray

      Weights

    mu float

      Sum of the weights

  See also

  `scipy.integrate.fixed_quad`

  References

  [AS]

  Milton Abramowitz and Irene A. Stegun, eds. Handbook of Mathematical Functions with Formulas, Graphs, and Mathematical Tables. New York: Dover, 1972.